/*
 * The main routine of this program
 */

#include "go_engine.h"
#include "go_types.h"
#include "gtp_command.h"


#define BOARDSIZE       9
#define KOMI            6.5F


int main(int argc, char** argv)
{
    int rv;

    rv = go_engine_initialize(BOARDSIZE, STONE_COLOR_BLACK, KOMI);
    if (rv != 0) {
        return -1;
    }

    /*
     * Main loop
     */
    gtp_command_main();

    rv = go_engine_terminate();
    if (rv != 0) {
        return -2;
    }

    return 0;
}
